@use "../../globals.scss";
@use "../../icons.scss";

// @use "./home.scss";

body {
  position: relative;
  margin: 0;
  width: 100%;
  height: 100vh;

  display: grid;
  grid-template-areas: "header" "body";
  grid-template-rows: max-content 1fr;
  overflow: hidden;
}

body > .header {
  grid-area: header;

  @include globals.page-header;
  & > .show_popup {
    font-size: 80%;
    padding: 0.1em 0.5em;
    text-align: center;
    align-self: center;
  }
}

body > .body {
  grid-area: body;
  position: relative;
  overflow: hidden;
  box-sizing: border-box;
  width: 100%;
  padding: 0 0.5em 0.3em;

  display: grid;
  grid-template-areas: single;

  & > .agenda {
    grid-area: single;
  }
}

body > .overlay {
  grid-area: body;
  position: relative;
  z-index: 100;
  overflow: hidden;
  box-sizing: border-box;
  width: 100%;
}

body > .popup {
  &:not(.shown) {
    display: none;
  }
  grid-area: body;
  position: relative;
  z-index: 10;
  overflow: hidden;
  box-sizing: border-box;
  width: 100%;

  &::before{
    position: absolute;
    background-color: var(--background-color);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    opacity: 50%;
    content: "";
    z-index: -1;
  }

  display: flex;
  justify-content: center;
  align-items: center;

  & > .holder {
    z-index: 1;
    padding: 1em;
    background-color: var(--background-color);
    box-sizing: border-box;

    background-color: var(--background-color);
    box-shadow: 0 0.1em 0.5em var(--shadow-color);

    max-width: 100%;
    min-width: min(100%, 40em);
    max-height: 90%;
    overflow: hidden;

    display: grid;
    grid-template-areas:
      "new empty empty"
      "list list list"
    ;
    row-gap: 0.3em;

    grid-template-columns: max-content 1fr max-content;
    grid-template-rows: max-content 1fr max-content;

    & > .new {
      grid-area: new;
      padding: 0 1em;
    }
    & > .agenda_list {
      overflow-y: auto;
      grid-area: list;

      // border-top: 1px solid var(--border-secondary-color);
      // border-bottom: 1px solid var(--border-secondary-color);
      // & > .separator:not(:first-child):not(:last-child) {
      & > .separator {
        border-top: 1px solid var(--border-secondary-color);
      }

      & .empty {
        padding: 0.2em;
        text-align: center;
        font-size: 110%;
      }

      & > .item {
        & > .main {
          @include globals.button-like; // neovims highlighting is stupid
        }
        & > .main {
          font-size: 120%;
          display: grid;
          grid-template-areas:
            "handle title         empty"
            "handle profile       empty"
            "handle last_modified expand"
          ;
          grid-template-columns: max-content 1fr max-content;
          padding: 0.2em;
          & > .handle {
            grid-area: handle;
          }
          & > .title {
            grid-area: title;
          }
          & > .profile {
            grid-area: profile;
            color: var(--text-secondary-color);
            font-size: 80%;
            &::before {
              content: "Profile: "
            }
          }
          & > .last_modified {
            grid-area: last_modified;
            color: var(--text-secondary-color);
            font-size: 80%;
            &::before {
              content: "Last Modified: "
            }
          }
          & > .creation_time {
            display: none;
          }
          & > .expand {
            width: 1em;
            grid-area: expand;
            @include icons.indicator-up;
          }
        }
        &:not(.expanded ) > .extra {
          display: none;
        }
        &.expanded {
          & > .main > .expand {
            @include icons.indicator-down;
          }
          & > .extra {
            padding: 0.2em;
            border-top: 1px solid var(--border-tertiary-color);

            display: grid;
            grid-template-areas: 
              "clone empty empty"
              "delete empty empty"
            ;
            grid-template-columns: max-content 1fr max-content;
            row-gap: 0.2em;

            & > .delete {
              grid-area: delete;
              padding: 0 1em;
            }
            & > .clone {
              grid-area: clone;
              padding: 0 1em;
            }

          }
        }

        &:not(.initiated) > .main {
          & > .profile {
            display: none;
          }
        }
        &.selected > .main {
          & > .handle {
            width: 0.4em;
            margin: 0.2em;
            margin-right: 0.3em;
            background-color: var(--background-accent-color);
          }
        }

      }
    }
  }
}

